Bug 1696447 - ServiceTemplateTransformationPlanRequest fails with explicit resource type
Summary: ServiceTemplateTransformationPlanRequest fails with explicit resource type
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.2
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.10.4
Assignee: Fabien Dupont
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1693378
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-04 20:55 UTC by Satoe Imaishi
Modified: 2019-05-21 05:47 UTC (History)
5 users (show)

Fixed In Version: 5.10.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1693378
Environment:
Last Closed: 2019-05-21 05:46:54 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1247 None None None 2019-05-21 05:47:01 UTC

Comment 3 CFME Bot 2019-04-24 19:47:13 UTC
New commits detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/0226e358532b87305da181aaae72d9853d4034df
commit 0226e358532b87305da181aaae72d9853d4034df
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Mar 28 20:44:55 2019 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu Mar 28 20:44:55 2019 -0400

    Merge pull request #18604 from djberg96/conversion_host_base_class

    Conversion host base class

    (cherry picked from commit 799d2c5992ae6a9a13931dbd7213c540007c1458)

    https://bugzilla.redhat.com/show_bug.cgi?id=1696437
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1696447

 app/models/conversion_host.rb | 2 +
 app/models/conversion_host/configurations.rb | 2 +-
 spec/models/conversion_host/configurations_spec.rb | 2 +-
 3 files changed, 4 insertions(+), 2 deletions(-)

Comment 4 Shveta 2019-05-02 20:10:29 UTC
ConversionHost.first.ext_management_system.conversion_hosts
=> [#<ConversionHost id: 1, name: "env-rhv42-01.cfme2.lab.eng.rdu2.redhat.com", address: nil, type: nil, resource_type: "Host", resource_id: 3, version: nil, max_concurrent_tasks: nil, vddk_transport_supported: true, ssh_transport_supported: nil, created_at: "2019-05-02 19:27:36", updated_at: "2019-05-02 19:27:49", concurrent_transformation_limit: nil, cpu_limit: nil, memory_limit: nil, network_limit: nil, blockio_limit: nil>, #<ConversionHost id: 2, name: "env-rhv42-02.cfme2.lab.eng.rdu2.redhat.com", address: nil, type: nil, resource_type: "Host", resource_id: 4, version: nil, max_concurrent_tasks: nil, vddk_transport_supported: true, ssh_transport_supported: nil, created_at: "2019-05-02 19:28:55", updated_at: "2019-05-02 19:29:00", concurrent_transformation_limit: nil, cpu_limit: nil, memory_limit: nil, network_limit: nil, blockio_limit: nil>, #<ConversionHost id: 3, name: "env-rhv42-03.cfme2.lab.eng.rdu2.redhat.com", address: nil, type: nil, resource_type: "Host", resource_id: 5, version: nil, max_concurrent_tasks: nil, vddk_transport_supported: true, ssh_transport_supported: nil, created_at: "2019-05-02 19:29:22", updated_at: "2019-05-02 19:29:28", concurrent_transformation_limit: nil, cpu_limit: nil, memory_limit: nil, network_limit: nil, blockio_limit: nil>]


Returns the list of conversion hosts .
Verified in 5.10.4.1.20190430152139_40a1d86

Comment 6 errata-xmlrpc 2019-05-21 05:46:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1247


Note You need to log in before you can comment on or make changes to this bug.